Expression (JavaServer Pages API Documentation)
Keywords: javax.servlet.jsp.el.Expression class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.el
Class Expression

    java.lang.Object
      javax.servlet.jsp.el.Expression

public abstract class Expression
extends java.lang.Object

The abstract class for a prepared expression.

An instance of an Expression can be obtained via from an ExpressionEvaluator instance.

An Expression may or not have done a syntactic parse of the expression. A client invoking the evaluate() method should be ready for the case where ELParseException exceptions are raised.

Since:
  2.0

Constructor Summary
`Expression()`

Method Summary
`abstract java.lang.Object` | `evaluate(VariableResolver vResolver)` Evaluates an expression that was previously prepared.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Expression

    public Expression()

Method Detail

### evaluate

    public abstract java.lang.Object evaluate(VariableResolver vResolver)
                                       throws ELException

  Evaluates an expression that was previously prepared. In some implementations preparing an expression involves full syntactic validation, but others may not do so. Evaluating the expression may raise an ELParseException as well as other ELExceptions due to run-time evaluation.

  Parameters:
    `vResolver` - A VariableResolver instance that can be used at runtime to resolve the name of implicit objects into Objects.
  Returns:
    The result of the expression evaluation.
  Throws:
    `ELException` - Thrown if the expression evaluation failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2002 The Apache Software Foundation. All Rights Reserved.